package com.wd.workoffice.util;

import android.content.Context;
import android.text.TextUtils;

import com.qmuiteam.qmui.widget.dialog.QMUIDialog;

import java.math.BigDecimal;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class MathUtils {
    public static String multiply(String v1, String v2, Integer scale) {
        if (TextUtils.isEmpty(v1)) {
            v1 = "0";
        }
        if (TextUtils.isEmpty(v2)) {
            v2 = "0";
        }
        BigDecimal b1 = new BigDecimal(v1.trim());
        BigDecimal b2 = new BigDecimal(v2.trim());
        return b1.multiply(b2).setScale(scale).toString();
    }

    public static String add(String v1, String v2, Integer scale) {
        if (TextUtils.isEmpty(v1)) {
            v1 = "0";
        }
        if (TextUtils.isEmpty(v2)) {
            v2 = "0";
        }
        BigDecimal b1 = new BigDecimal(v1.trim());
        BigDecimal b2 = new BigDecimal(v2.trim());
        return b1.add(b2).setScale(scale).toString();
    }
}
