package com.wd.workoffice.app;

public interface Config {
    Boolean DEBUG = true;

    String REGEX_USERNAME      = "^[\\w]{4,16}(?<!_)$";
    String REGEX_PASSWORD      = "^[\\w]{6,16}(?<!_)$";
    String APPID = "wx15bd4f8f85329782";
    String[] TABLIST = new String[]{"区域", "均价", "首付", "更多"};

    String CHINA_AREA_DATA = "CHINA_AREA_DATA";//全国省市区数据
    String BUILDING_AVERAGE_PRICE = "BUILDING_AVERAGE_PRICE";//楼盘均价
    String DEVELOPER = "DEVELOPER";//开发商
    String CUSTOMER_STATUS = "CUSTOMER_STATUS";//客戶狀態
    String DOWN_PAYMENTS = "DOWN_PAYMENTS";//首付
    String BUILDING_TYPE_DATA = "BUILDING_TYPE_DATA";//楼盘类型
    String BUILDING_ORDER = "BUILDING_ORDER";//楼盘排序
    String FITMENT_TYPE = "FITMENT_TYPE";//装修类型

    int SIZE = 10;


    String ROLE_ADMIN = "ROLE_ADMIN";//分销员工
    String ROLE_COMPANY_FIRST = "ROLE_COMPANY_FIRST";//总代公司/1
    String ROLE_COMPANY_SECOND = "ROLE_COMPANY_SECOND";//分销公司2
    String ROLE_PERSON_FIRST = "ROLE_PERSON_FIRST";//总代对接人3
    String ROLE_PERSON_SECOND = "ROLE_PERSON_SECOND";//分销员工4


    int MAIN_NOTICE_TURNING = 4 * 1000;
    int SPLASH_TIME = 4 * 1000;
    int MAIN_BANNER_TURNING = 5 * 1000;
    int NET_CONNECTION_TIMEOUT = 10 * 1000;
    int NET_READ_TIMEOUT = 20 * 1000;
    int ACTIVITY_TURNING = 6 * 1000;

    String WV_DATA = "wv_data";
    String WV_TYPE = "wv_type";
    String WV_URL = "wv_url";
    String WV_TEXT = "wv_text";
}
