package com.wd.workoffice.ui.activity.login;

import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

import com.wd.workoffice.R;
import com.wd.workoffice.app.WorkToolBarActivity;
import com.wd.workoffice.util.WorkUtils;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import flexible.xd.android_base.utils.ToastUtil;

/*
 * ERP员工激活
 * */
public class ErpActivationOneActivity extends WorkToolBarActivity {


    @BindView(R.id.et_phone)
    EditText etPhone;
    @BindView(R.id.tv_discover)
    TextView tvDiscover;
    @BindView(R.id.et_staff_code)
    EditText etStaffCode;
    @BindView(R.id.et_name)
    EditText etName;
    @BindView(R.id.et_code)
    EditText etCode;
    @BindView(R.id.tv_code)
    TextView tvCode;
    @BindView(R.id.btn_next)
    Button btnNext;

    @Override
    protected void initView() {
        ButterKnife.bind(this);
    }

    @Override
    protected void initData() {

    }

    @Override
    protected void initEvent() {

    }

    @Override
    protected int layoutId() {
        return R.layout.activity_erp_activation_one;
    }

    @OnClick({R.id.tv_discover, R.id.tv_code, R.id.btn_next})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.tv_discover:
                break;
            case R.id.tv_code:
                WorkUtils.timerSeckill(tvCode, 60 * 1000, 1000, 0);
                ToastUtil.showLong("验证码发送成功，请注意查收！");
                break;
            case R.id.btn_next:
                startActivity(ErpActivationTwoActivity.class);
                break;
        }
    }
}
